package
{
	import flash.display.MovieClip;
	
	import mx.controls.Alert;
	
	import resolumeCom.*;
	import resolumeCom.events.*;
	import resolumeCom.parameters.*;
	
	public class ResolumInterface extends MovieClip
	{
		//create the resolume object that will do all the hard work for you
		var resolume:Resolume = new Resolume();
		private var callBack:Function = null;
		
		
		//create as many different parameters as you like
		private var eventId:StringParameter = resolume.addStringParameter("Text", "Resolume");
		
		public function ResolumInterface():void
		{
			//set callback, this will notify us when a parameter has changed
			resolume.addParameterListener(parameterChanged);
		}
		
		public function setCallbackFunc(f:Function) :void {
			this.callBack = f;
		}
		
		//this will be called every time you change a parameter in Resolume
		public function parameterChanged(event:ChangeEvent): void
		{
			//check to see what parameter was changed
			if (event.object == this.eventId)
			{
				//now it gets interesting
				//do whatever you like with the value of the parameter
				Alert.show( this.eventId.getValue().toString(), "Event ID") ;
				if ( this.callBack != null )
					this.callBack.apply(this,[this.eventId.getValue()]);
			}
		}
	}
}



